"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.responseFactory = void 0;
function responseFactory(httpCode, message, data, cache = 0) {
    const body = {
        success: (`${httpCode}`)[0] === '2',
        message,
        data,
    };
    const headers = {
        'content-type': 'application/json; charset=utf-8',
    };
    if (cache) {
        headers['Cache-Control'] = `public,max-age=${cache}`;
    }
    return {
        status: httpCode,
        //@ts-ignore
        body: JSON.stringify(body),
        headers,
    };
}
exports.responseFactory = responseFactory;
exports.default = responseFactory;
//# sourceMappingURL=ResponseFactory.js.map