"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Validate = void 0;
const _1 = require(".");
const Validate = (settings) => (target, propertyKey, descriptor) => {
    const originalMethod = descriptor.value;
    descriptor.value = function (...args) {
        return (0, _1.validate)(args[0], args[1], settings).then(value => {
            if (value)
                return value;
            return originalMethod.apply(this, args);
        });
    };
    return descriptor;
};
exports.Validate = Validate;
//# sourceMappingURL=ValidateDecorator.js.map