"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mockedRequestFactory = void 0;
const stub_azure_function_context_1 = require("stub-azure-function-context");
function mockedRequestFactory(func, { method = 'GET', baseURL = '/api', url = '/', headers = {}, params = {}, body = {}, query = {} }) {
    return __awaiter(this, void 0, void 0, function* () {
        const data = yield ((0, stub_azure_function_context_1.runStubFunctionFromBindings)(func, [{
                type: 'httpTrigger', name: 'req', direction: 'in', data: (0, stub_azure_function_context_1.createHttpTrigger)(method, baseURL + url, headers, params, body, query),
            }, { type: 'http', name: 'res', direction: 'out' }], new Date()));
        return data.res;
    });
}
exports.mockedRequestFactory = mockedRequestFactory;
//# sourceMappingURL=FunctionRunner.js.map