"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = exports.HTTPTest = void 0;
const ExampleAuthService_1 = require("../exampleServices/ExampleAuthService");
const ExampleService_1 = require("../exampleServices/ExampleService");
const __1 = require("../..");
const helpers_1 = require("../../helpers");
class HTTPTest extends __1.AzureFunctionsController {
    constructor(exampleService, authService) {
        super(authService);
        this.myService = exampleService;
    }
    GET(context, req) {
        return __awaiter(this, void 0, void 0, function* () {
            const responseMessage = "Hello, " + req.query.name + ". This HTTP triggered function executed successfully. Service Message: " + this.myService.message();
            return (0, helpers_1.responseFactory)(200, responseMessage);
        });
    }
    POST(context, req) {
        return __awaiter(this, void 0, void 0, function* () {
            const responseMessage = "Hello, " + req.body.name + ". This HTTP triggered function executed successfully. Service Message: " + this.myService.message();
            return (0, helpers_1.responseFactory)(200, responseMessage);
        });
    }
}
__decorate([
    (0, helpers_1.Validate)({ query: ['name'] }),
    (0, helpers_1.Endpoint)({ method: 'GET', route: 'test/wow' }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], HTTPTest.prototype, "GET", null);
__decorate([
    (0, helpers_1.CheckAuth)({ role: ['admin'] }),
    (0, helpers_1.Validate)({ body: ['name'], query: ['user'] }),
    (0, helpers_1.Endpoint)({ method: 'POST', route: 'test/wow' }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], HTTPTest.prototype, "POST", null);
exports.HTTPTest = HTTPTest;
const run = new HTTPTest(new ExampleService_1.ExampleService('Secret!'), new ExampleAuthService_1.MyAuthService()).build();
exports.run = run;
//# sourceMappingURL=index.js.map